JNA API 3.3.0

## com.sun.jna
Class NativeMappedConverter

    java.lang.Object
      com.sun.jna.NativeMappedConverter

All Implemented Interfaces:
  FromNativeConverter, ToNativeConverter, TypeConverter

    public class NativeMappedConverter

extends Object
implements TypeConverter

Provides type conversion for instances of `NativeMapped`.

Constructor Summary
`NativeMappedConverter(Class type)`

Method Summary
`NativeMapped` | `defaultValue()`
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`static NativeMappedConverter` | `getInstance(Class cls)`
`Class` | `nativeType()` Indicate the native type used by this converter.
`Object` | `toNative(Object value, ToNativeContext context)` Convert a Java type to an appropriate native type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeMappedConverter

    public NativeMappedConverter(Class type)

Method Detail

### getInstance

    public static NativeMappedConverter getInstance(Class cls)

### defaultValue

    public NativeMapped defaultValue()

### fromNative

    public Object fromNative(Object nativeValue,
                             FromNativeContext context)

  Description copied from interface: `FromNativeConverter`
  Convert the given native object into its Java representation using the given context.

  Specified by:
    `fromNative` in interface `FromNativeConverter`

### nativeType

    public Class nativeType()

  Description copied from interface: `FromNativeConverter`
  Indicate the native type used by this converter.

  Specified by:
    `nativeType` in interface `FromNativeConverter`
  Specified by:
    `nativeType` in interface `ToNativeConverter`

### toNative

    public Object toNative(Object value,
                           ToNativeContext context)

  Description copied from interface: `ToNativeConverter`
  Convert a Java type to an appropriate native type. The new type must be one of the following classes:
  - `Pointer`
  - Boolean
  - Byte
  - Short
  - Character
  - Integer
  - `NativeLong`
  - Long
  - Float
  - Double
  - `Structure`
  - String
  - `WString`
  - `Buffer`
  - primitive array

  Specified by:
    `toNative` in interface `ToNativeConverter`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.